geronimo-scm mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From djen...@apache.org
Subject svn commit: r696852 - /geronimo/server/trunk/assemblies/geronimo-boilerplate/src/main/underlay/bin/setjavaenv.sh
Date Thu, 18 Sep 2008 23:27:39 GMT
Author: djencks
Date: Thu Sep 18 16:27:39 2008
New Revision: 696852

URL: http://svn.apache.org/viewvc?rev=696852&view=rev
Log:
GERONIMO-4093 Do not require JAVA_HOME to be set.

Modified:
    geronimo/server/trunk/assemblies/geronimo-boilerplate/src/main/underlay/bin/setjavaenv.sh

Modified: geronimo/server/trunk/assemblies/geronimo-boilerplate/src/main/underlay/bin/setjavaenv.sh
URL: http://svn.apache.org/viewvc/geronimo/server/trunk/assemblies/geronimo-boilerplate/src/main/underlay/bin/setjavaenv.sh?rev=696852&r1=696851&r2=696852&view=diff
==============================================================================
--- geronimo/server/trunk/assemblies/geronimo-boilerplate/src/main/underlay/bin/setjavaenv.sh
(original)
+++ geronimo/server/trunk/assemblies/geronimo-boilerplate/src/main/underlay/bin/setjavaenv.sh
Thu Sep 18 16:27:39 2008
@@ -37,10 +37,12 @@
 
 # Make sure prerequisite environment variables are set
 if [ -z "$JAVA_HOME" -a -z "$JRE_HOME" ]; then
-  echo "Neither the JAVA_HOME nor the JRE_HOME environment variable is defined"
-  echo "At least one of these environment variable is needed to run this program"
-  exit 1
-fi
+  _RUNJAVA="java"
+else
+#  echo "Neither the JAVA_HOME nor the JRE_HOME environment variable is defined"
+#  echo "At least one of these environment variable is needed to run this program"
+#  exit 1
+
 if [ -z "$JAVA_HOME" -a "$1" = "debug" ]; then
   echo "JAVA_HOME should point to a JDK in order to run in debug mode."
   exit 1
@@ -95,3 +97,4 @@
 if [ "$os400" != "true" ]; then
   _RUNJDB="$JAVA_HOME"/bin/jdb
 fi
+fi
\ No newline at end of file



Mime
View raw message